Index: /XIOS/trunk/src/interface/fortran_attr/iexpand_domain_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/iexpand_domain_attr.F90	(revision 981)
+++ /XIOS/trunk/src/interface/fortran_attr/iexpand_domain_attr.F90	(revision 981)
@@ -0,0 +1,168 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "xios_fortran_prefix.hpp"
+
+MODULE iexpand_domain_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+  USE iexpand_domain
+  USE expand_domain_interface_attr
+
+CONTAINS
+
+  SUBROUTINE xios(set_expand_domain_attr)  &
+    ( expand_domain_id, order, type )
+
+    IMPLICIT NONE
+      TYPE(txios(expand_domain))  :: expand_domain_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::expand_domain_id
+      INTEGER  , OPTIONAL, INTENT(IN) :: order
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
+
+      CALL xios(get_expand_domain_handle) &
+      (expand_domain_id,expand_domain_hdl)
+      CALL xios(set_expand_domain_attr_hdl_)   &
+      ( expand_domain_hdl, order, type )
+
+  END SUBROUTINE xios(set_expand_domain_attr)
+
+  SUBROUTINE xios(set_expand_domain_attr_hdl)  &
+    ( expand_domain_hdl, order, type )
+
+    IMPLICIT NONE
+      TYPE(txios(expand_domain)) , INTENT(IN) :: expand_domain_hdl
+      INTEGER  , OPTIONAL, INTENT(IN) :: order
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
+
+      CALL xios(set_expand_domain_attr_hdl_)  &
+      ( expand_domain_hdl, order, type )
+
+  END SUBROUTINE xios(set_expand_domain_attr_hdl)
+
+  SUBROUTINE xios(set_expand_domain_attr_hdl_)   &
+    ( expand_domain_hdl, order_, type_ )
+
+    IMPLICIT NONE
+      TYPE(txios(expand_domain)) , INTENT(IN) :: expand_domain_hdl
+      INTEGER  , OPTIONAL, INTENT(IN) :: order_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
+
+      IF (PRESENT(order_)) THEN
+        CALL cxios_set_expand_domain_order &
+      (expand_domain_hdl%daddr, order_)
+      ENDIF
+
+      IF (PRESENT(type_)) THEN
+        CALL cxios_set_expand_domain_type &
+      (expand_domain_hdl%daddr, type_, len(type_))
+      ENDIF
+
+  END SUBROUTINE xios(set_expand_domain_attr_hdl_)
+
+  SUBROUTINE xios(get_expand_domain_attr)  &
+    ( expand_domain_id, order, type )
+
+    IMPLICIT NONE
+      TYPE(txios(expand_domain))  :: expand_domain_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::expand_domain_id
+      INTEGER  , OPTIONAL, INTENT(OUT) :: order
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
+
+      CALL xios(get_expand_domain_handle) &
+      (expand_domain_id,expand_domain_hdl)
+      CALL xios(get_expand_domain_attr_hdl_)   &
+      ( expand_domain_hdl, order, type )
+
+  END SUBROUTINE xios(get_expand_domain_attr)
+
+  SUBROUTINE xios(get_expand_domain_attr_hdl)  &
+    ( expand_domain_hdl, order, type )
+
+    IMPLICIT NONE
+      TYPE(txios(expand_domain)) , INTENT(IN) :: expand_domain_hdl
+      INTEGER  , OPTIONAL, INTENT(OUT) :: order
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
+
+      CALL xios(get_expand_domain_attr_hdl_)  &
+      ( expand_domain_hdl, order, type )
+
+  END SUBROUTINE xios(get_expand_domain_attr_hdl)
+
+  SUBROUTINE xios(get_expand_domain_attr_hdl_)   &
+    ( expand_domain_hdl, order_, type_ )
+
+    IMPLICIT NONE
+      TYPE(txios(expand_domain)) , INTENT(IN) :: expand_domain_hdl
+      INTEGER  , OPTIONAL, INTENT(OUT) :: order_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
+
+      IF (PRESENT(order_)) THEN
+        CALL cxios_get_expand_domain_order &
+      (expand_domain_hdl%daddr, order_)
+      ENDIF
+
+      IF (PRESENT(type_)) THEN
+        CALL cxios_get_expand_domain_type &
+      (expand_domain_hdl%daddr, type_, len(type_))
+      ENDIF
+
+  END SUBROUTINE xios(get_expand_domain_attr_hdl_)
+
+  SUBROUTINE xios(is_defined_expand_domain_attr)  &
+    ( expand_domain_id, order, type )
+
+    IMPLICIT NONE
+      TYPE(txios(expand_domain))  :: expand_domain_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::expand_domain_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: order
+      LOGICAL(KIND=C_BOOL) :: order_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: type
+      LOGICAL(KIND=C_BOOL) :: type_tmp
+
+      CALL xios(get_expand_domain_handle) &
+      (expand_domain_id,expand_domain_hdl)
+      CALL xios(is_defined_expand_domain_attr_hdl_)   &
+      ( expand_domain_hdl, order, type )
+
+  END SUBROUTINE xios(is_defined_expand_domain_attr)
+
+  SUBROUTINE xios(is_defined_expand_domain_attr_hdl)  &
+    ( expand_domain_hdl, order, type )
+
+    IMPLICIT NONE
+      TYPE(txios(expand_domain)) , INTENT(IN) :: expand_domain_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: order
+      LOGICAL(KIND=C_BOOL) :: order_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: type
+      LOGICAL(KIND=C_BOOL) :: type_tmp
+
+      CALL xios(is_defined_expand_domain_attr_hdl_)  &
+      ( expand_domain_hdl, order, type )
+
+  END SUBROUTINE xios(is_defined_expand_domain_attr_hdl)
+
+  SUBROUTINE xios(is_defined_expand_domain_attr_hdl_)   &
+    ( expand_domain_hdl, order_, type_ )
+
+    IMPLICIT NONE
+      TYPE(txios(expand_domain)) , INTENT(IN) :: expand_domain_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: order_
+      LOGICAL(KIND=C_BOOL) :: order__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: type_
+      LOGICAL(KIND=C_BOOL) :: type__tmp
+
+      IF (PRESENT(order_)) THEN
+        order__tmp = cxios_is_defined_expand_domain_order &
+      (expand_domain_hdl%daddr)
+        order_ = order__tmp
+      ENDIF
+
+      IF (PRESENT(type_)) THEN
+        type__tmp = cxios_is_defined_expand_domain_type &
+      (expand_domain_hdl%daddr)
+        type_ = type__tmp
+      ENDIF
+
+  END SUBROUTINE xios(is_defined_expand_domain_attr_hdl_)
+
+END MODULE iexpand_domain_attr
Index: /XIOS/trunk/src/interface/fortran_attr/iextract_axis_to_scalar_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/iextract_axis_to_scalar_attr.F90	(revision 981)
+++ /XIOS/trunk/src/interface/fortran_attr/iextract_axis_to_scalar_attr.F90	(revision 981)
@@ -0,0 +1,140 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "xios_fortran_prefix.hpp"
+
+MODULE iextract_axis_to_scalar_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+  USE iextract_axis_to_scalar
+  USE extract_axis_to_scalar_interface_attr
+
+CONTAINS
+
+  SUBROUTINE xios(set_extract_axis_to_scalar_attr)  &
+    ( extract_axis_to_scalar_id, position )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_axis_to_scalar))  :: extract_axis_to_scalar_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::extract_axis_to_scalar_id
+      INTEGER  , OPTIONAL, INTENT(IN) :: position
+
+      CALL xios(get_extract_axis_to_scalar_handle) &
+      (extract_axis_to_scalar_id,extract_axis_to_scalar_hdl)
+      CALL xios(set_extract_axis_to_scalar_attr_hdl_)   &
+      ( extract_axis_to_scalar_hdl, position )
+
+  END SUBROUTINE xios(set_extract_axis_to_scalar_attr)
+
+  SUBROUTINE xios(set_extract_axis_to_scalar_attr_hdl)  &
+    ( extract_axis_to_scalar_hdl, position )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_axis_to_scalar)) , INTENT(IN) :: extract_axis_to_scalar_hdl
+      INTEGER  , OPTIONAL, INTENT(IN) :: position
+
+      CALL xios(set_extract_axis_to_scalar_attr_hdl_)  &
+      ( extract_axis_to_scalar_hdl, position )
+
+  END SUBROUTINE xios(set_extract_axis_to_scalar_attr_hdl)
+
+  SUBROUTINE xios(set_extract_axis_to_scalar_attr_hdl_)   &
+    ( extract_axis_to_scalar_hdl, position_ )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_axis_to_scalar)) , INTENT(IN) :: extract_axis_to_scalar_hdl
+      INTEGER  , OPTIONAL, INTENT(IN) :: position_
+
+      IF (PRESENT(position_)) THEN
+        CALL cxios_set_extract_axis_to_scalar_position &
+      (extract_axis_to_scalar_hdl%daddr, position_)
+      ENDIF
+
+  END SUBROUTINE xios(set_extract_axis_to_scalar_attr_hdl_)
+
+  SUBROUTINE xios(get_extract_axis_to_scalar_attr)  &
+    ( extract_axis_to_scalar_id, position )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_axis_to_scalar))  :: extract_axis_to_scalar_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::extract_axis_to_scalar_id
+      INTEGER  , OPTIONAL, INTENT(OUT) :: position
+
+      CALL xios(get_extract_axis_to_scalar_handle) &
+      (extract_axis_to_scalar_id,extract_axis_to_scalar_hdl)
+      CALL xios(get_extract_axis_to_scalar_attr_hdl_)   &
+      ( extract_axis_to_scalar_hdl, position )
+
+  END SUBROUTINE xios(get_extract_axis_to_scalar_attr)
+
+  SUBROUTINE xios(get_extract_axis_to_scalar_attr_hdl)  &
+    ( extract_axis_to_scalar_hdl, position )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_axis_to_scalar)) , INTENT(IN) :: extract_axis_to_scalar_hdl
+      INTEGER  , OPTIONAL, INTENT(OUT) :: position
+
+      CALL xios(get_extract_axis_to_scalar_attr_hdl_)  &
+      ( extract_axis_to_scalar_hdl, position )
+
+  END SUBROUTINE xios(get_extract_axis_to_scalar_attr_hdl)
+
+  SUBROUTINE xios(get_extract_axis_to_scalar_attr_hdl_)   &
+    ( extract_axis_to_scalar_hdl, position_ )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_axis_to_scalar)) , INTENT(IN) :: extract_axis_to_scalar_hdl
+      INTEGER  , OPTIONAL, INTENT(OUT) :: position_
+
+      IF (PRESENT(position_)) THEN
+        CALL cxios_get_extract_axis_to_scalar_position &
+      (extract_axis_to_scalar_hdl%daddr, position_)
+      ENDIF
+
+  END SUBROUTINE xios(get_extract_axis_to_scalar_attr_hdl_)
+
+  SUBROUTINE xios(is_defined_extract_axis_to_scalar_attr)  &
+    ( extract_axis_to_scalar_id, position )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_axis_to_scalar))  :: extract_axis_to_scalar_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::extract_axis_to_scalar_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: position
+      LOGICAL(KIND=C_BOOL) :: position_tmp
+
+      CALL xios(get_extract_axis_to_scalar_handle) &
+      (extract_axis_to_scalar_id,extract_axis_to_scalar_hdl)
+      CALL xios(is_defined_extract_axis_to_scalar_attr_hdl_)   &
+      ( extract_axis_to_scalar_hdl, position )
+
+  END SUBROUTINE xios(is_defined_extract_axis_to_scalar_attr)
+
+  SUBROUTINE xios(is_defined_extract_axis_to_scalar_attr_hdl)  &
+    ( extract_axis_to_scalar_hdl, position )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_axis_to_scalar)) , INTENT(IN) :: extract_axis_to_scalar_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: position
+      LOGICAL(KIND=C_BOOL) :: position_tmp
+
+      CALL xios(is_defined_extract_axis_to_scalar_attr_hdl_)  &
+      ( extract_axis_to_scalar_hdl, position )
+
+  END SUBROUTINE xios(is_defined_extract_axis_to_scalar_attr_hdl)
+
+  SUBROUTINE xios(is_defined_extract_axis_to_scalar_attr_hdl_)   &
+    ( extract_axis_to_scalar_hdl, position_ )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_axis_to_scalar)) , INTENT(IN) :: extract_axis_to_scalar_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: position_
+      LOGICAL(KIND=C_BOOL) :: position__tmp
+
+      IF (PRESENT(position_)) THEN
+        position__tmp = cxios_is_defined_extract_axis_to_scalar_position &
+      (extract_axis_to_scalar_hdl%daddr)
+        position_ = position__tmp
+      ENDIF
+
+  END SUBROUTINE xios(is_defined_extract_axis_to_scalar_attr_hdl_)
+
+END MODULE iextract_axis_to_scalar_attr
Index: /XIOS/trunk/src/interface/fortran_attr/iextract_domain_to_axis_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/iextract_domain_to_axis_attr.F90	(revision 981)
+++ /XIOS/trunk/src/interface/fortran_attr/iextract_domain_to_axis_attr.F90	(revision 981)
@@ -0,0 +1,168 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "xios_fortran_prefix.hpp"
+
+MODULE iextract_domain_to_axis_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+  USE iextract_domain_to_axis
+  USE extract_domain_to_axis_interface_attr
+
+CONTAINS
+
+  SUBROUTINE xios(set_extract_domain_to_axis_attr)  &
+    ( extract_domain_to_axis_id, direction, position )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_domain_to_axis))  :: extract_domain_to_axis_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::extract_domain_to_axis_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: direction
+      INTEGER  , OPTIONAL, INTENT(IN) :: position
+
+      CALL xios(get_extract_domain_to_axis_handle) &
+      (extract_domain_to_axis_id,extract_domain_to_axis_hdl)
+      CALL xios(set_extract_domain_to_axis_attr_hdl_)   &
+      ( extract_domain_to_axis_hdl, direction, position )
+
+  END SUBROUTINE xios(set_extract_domain_to_axis_attr)
+
+  SUBROUTINE xios(set_extract_domain_to_axis_attr_hdl)  &
+    ( extract_domain_to_axis_hdl, direction, position )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_domain_to_axis)) , INTENT(IN) :: extract_domain_to_axis_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: direction
+      INTEGER  , OPTIONAL, INTENT(IN) :: position
+
+      CALL xios(set_extract_domain_to_axis_attr_hdl_)  &
+      ( extract_domain_to_axis_hdl, direction, position )
+
+  END SUBROUTINE xios(set_extract_domain_to_axis_attr_hdl)
+
+  SUBROUTINE xios(set_extract_domain_to_axis_attr_hdl_)   &
+    ( extract_domain_to_axis_hdl, direction_, position_ )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_domain_to_axis)) , INTENT(IN) :: extract_domain_to_axis_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: direction_
+      INTEGER  , OPTIONAL, INTENT(IN) :: position_
+
+      IF (PRESENT(direction_)) THEN
+        CALL cxios_set_extract_domain_to_axis_direction &
+      (extract_domain_to_axis_hdl%daddr, direction_, len(direction_))
+      ENDIF
+
+      IF (PRESENT(position_)) THEN
+        CALL cxios_set_extract_domain_to_axis_position &
+      (extract_domain_to_axis_hdl%daddr, position_)
+      ENDIF
+
+  END SUBROUTINE xios(set_extract_domain_to_axis_attr_hdl_)
+
+  SUBROUTINE xios(get_extract_domain_to_axis_attr)  &
+    ( extract_domain_to_axis_id, direction, position )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_domain_to_axis))  :: extract_domain_to_axis_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::extract_domain_to_axis_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: direction
+      INTEGER  , OPTIONAL, INTENT(OUT) :: position
+
+      CALL xios(get_extract_domain_to_axis_handle) &
+      (extract_domain_to_axis_id,extract_domain_to_axis_hdl)
+      CALL xios(get_extract_domain_to_axis_attr_hdl_)   &
+      ( extract_domain_to_axis_hdl, direction, position )
+
+  END SUBROUTINE xios(get_extract_domain_to_axis_attr)
+
+  SUBROUTINE xios(get_extract_domain_to_axis_attr_hdl)  &
+    ( extract_domain_to_axis_hdl, direction, position )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_domain_to_axis)) , INTENT(IN) :: extract_domain_to_axis_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: direction
+      INTEGER  , OPTIONAL, INTENT(OUT) :: position
+
+      CALL xios(get_extract_domain_to_axis_attr_hdl_)  &
+      ( extract_domain_to_axis_hdl, direction, position )
+
+  END SUBROUTINE xios(get_extract_domain_to_axis_attr_hdl)
+
+  SUBROUTINE xios(get_extract_domain_to_axis_attr_hdl_)   &
+    ( extract_domain_to_axis_hdl, direction_, position_ )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_domain_to_axis)) , INTENT(IN) :: extract_domain_to_axis_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: direction_
+      INTEGER  , OPTIONAL, INTENT(OUT) :: position_
+
+      IF (PRESENT(direction_)) THEN
+        CALL cxios_get_extract_domain_to_axis_direction &
+      (extract_domain_to_axis_hdl%daddr, direction_, len(direction_))
+      ENDIF
+
+      IF (PRESENT(position_)) THEN
+        CALL cxios_get_extract_domain_to_axis_position &
+      (extract_domain_to_axis_hdl%daddr, position_)
+      ENDIF
+
+  END SUBROUTINE xios(get_extract_domain_to_axis_attr_hdl_)
+
+  SUBROUTINE xios(is_defined_extract_domain_to_axis_attr)  &
+    ( extract_domain_to_axis_id, direction, position )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_domain_to_axis))  :: extract_domain_to_axis_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::extract_domain_to_axis_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: direction
+      LOGICAL(KIND=C_BOOL) :: direction_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: position
+      LOGICAL(KIND=C_BOOL) :: position_tmp
+
+      CALL xios(get_extract_domain_to_axis_handle) &
+      (extract_domain_to_axis_id,extract_domain_to_axis_hdl)
+      CALL xios(is_defined_extract_domain_to_axis_attr_hdl_)   &
+      ( extract_domain_to_axis_hdl, direction, position )
+
+  END SUBROUTINE xios(is_defined_extract_domain_to_axis_attr)
+
+  SUBROUTINE xios(is_defined_extract_domain_to_axis_attr_hdl)  &
+    ( extract_domain_to_axis_hdl, direction, position )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_domain_to_axis)) , INTENT(IN) :: extract_domain_to_axis_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: direction
+      LOGICAL(KIND=C_BOOL) :: direction_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: position
+      LOGICAL(KIND=C_BOOL) :: position_tmp
+
+      CALL xios(is_defined_extract_domain_to_axis_attr_hdl_)  &
+      ( extract_domain_to_axis_hdl, direction, position )
+
+  END SUBROUTINE xios(is_defined_extract_domain_to_axis_attr_hdl)
+
+  SUBROUTINE xios(is_defined_extract_domain_to_axis_attr_hdl_)   &
+    ( extract_domain_to_axis_hdl, direction_, position_ )
+
+    IMPLICIT NONE
+      TYPE(txios(extract_domain_to_axis)) , INTENT(IN) :: extract_domain_to_axis_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: direction_
+      LOGICAL(KIND=C_BOOL) :: direction__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: position_
+      LOGICAL(KIND=C_BOOL) :: position__tmp
+
+      IF (PRESENT(direction_)) THEN
+        direction__tmp = cxios_is_defined_extract_domain_to_axis_direction &
+      (extract_domain_to_axis_hdl%daddr)
+        direction_ = direction__tmp
+      ENDIF
+
+      IF (PRESENT(position_)) THEN
+        position__tmp = cxios_is_defined_extract_domain_to_axis_position &
+      (extract_domain_to_axis_hdl%daddr)
+        position_ = position__tmp
+      ENDIF
+
+  END SUBROUTINE xios(is_defined_extract_domain_to_axis_attr_hdl_)
+
+END MODULE iextract_domain_to_axis_attr
Index: /XIOS/trunk/src/interface/fortran_attr/ireduce_domain_to_axis_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/ireduce_domain_to_axis_attr.F90	(revision 981)
+++ /XIOS/trunk/src/interface/fortran_attr/ireduce_domain_to_axis_attr.F90	(revision 981)
@@ -0,0 +1,168 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "xios_fortran_prefix.hpp"
+
+MODULE ireduce_domain_to_axis_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+  USE ireduce_domain_to_axis
+  USE reduce_domain_to_axis_interface_attr
+
+CONTAINS
+
+  SUBROUTINE xios(set_reduce_domain_to_axis_attr)  &
+    ( reduce_domain_to_axis_id, direction, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_domain_to_axis))  :: reduce_domain_to_axis_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::reduce_domain_to_axis_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: direction
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation
+
+      CALL xios(get_reduce_domain_to_axis_handle) &
+      (reduce_domain_to_axis_id,reduce_domain_to_axis_hdl)
+      CALL xios(set_reduce_domain_to_axis_attr_hdl_)   &
+      ( reduce_domain_to_axis_hdl, direction, operation )
+
+  END SUBROUTINE xios(set_reduce_domain_to_axis_attr)
+
+  SUBROUTINE xios(set_reduce_domain_to_axis_attr_hdl)  &
+    ( reduce_domain_to_axis_hdl, direction, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_domain_to_axis)) , INTENT(IN) :: reduce_domain_to_axis_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: direction
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation
+
+      CALL xios(set_reduce_domain_to_axis_attr_hdl_)  &
+      ( reduce_domain_to_axis_hdl, direction, operation )
+
+  END SUBROUTINE xios(set_reduce_domain_to_axis_attr_hdl)
+
+  SUBROUTINE xios(set_reduce_domain_to_axis_attr_hdl_)   &
+    ( reduce_domain_to_axis_hdl, direction_, operation_ )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_domain_to_axis)) , INTENT(IN) :: reduce_domain_to_axis_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: direction_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation_
+
+      IF (PRESENT(direction_)) THEN
+        CALL cxios_set_reduce_domain_to_axis_direction &
+      (reduce_domain_to_axis_hdl%daddr, direction_, len(direction_))
+      ENDIF
+
+      IF (PRESENT(operation_)) THEN
+        CALL cxios_set_reduce_domain_to_axis_operation &
+      (reduce_domain_to_axis_hdl%daddr, operation_, len(operation_))
+      ENDIF
+
+  END SUBROUTINE xios(set_reduce_domain_to_axis_attr_hdl_)
+
+  SUBROUTINE xios(get_reduce_domain_to_axis_attr)  &
+    ( reduce_domain_to_axis_id, direction, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_domain_to_axis))  :: reduce_domain_to_axis_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::reduce_domain_to_axis_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: direction
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation
+
+      CALL xios(get_reduce_domain_to_axis_handle) &
+      (reduce_domain_to_axis_id,reduce_domain_to_axis_hdl)
+      CALL xios(get_reduce_domain_to_axis_attr_hdl_)   &
+      ( reduce_domain_to_axis_hdl, direction, operation )
+
+  END SUBROUTINE xios(get_reduce_domain_to_axis_attr)
+
+  SUBROUTINE xios(get_reduce_domain_to_axis_attr_hdl)  &
+    ( reduce_domain_to_axis_hdl, direction, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_domain_to_axis)) , INTENT(IN) :: reduce_domain_to_axis_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: direction
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation
+
+      CALL xios(get_reduce_domain_to_axis_attr_hdl_)  &
+      ( reduce_domain_to_axis_hdl, direction, operation )
+
+  END SUBROUTINE xios(get_reduce_domain_to_axis_attr_hdl)
+
+  SUBROUTINE xios(get_reduce_domain_to_axis_attr_hdl_)   &
+    ( reduce_domain_to_axis_hdl, direction_, operation_ )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_domain_to_axis)) , INTENT(IN) :: reduce_domain_to_axis_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: direction_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation_
+
+      IF (PRESENT(direction_)) THEN
+        CALL cxios_get_reduce_domain_to_axis_direction &
+      (reduce_domain_to_axis_hdl%daddr, direction_, len(direction_))
+      ENDIF
+
+      IF (PRESENT(operation_)) THEN
+        CALL cxios_get_reduce_domain_to_axis_operation &
+      (reduce_domain_to_axis_hdl%daddr, operation_, len(operation_))
+      ENDIF
+
+  END SUBROUTINE xios(get_reduce_domain_to_axis_attr_hdl_)
+
+  SUBROUTINE xios(is_defined_reduce_domain_to_axis_attr)  &
+    ( reduce_domain_to_axis_id, direction, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_domain_to_axis))  :: reduce_domain_to_axis_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::reduce_domain_to_axis_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: direction
+      LOGICAL(KIND=C_BOOL) :: direction_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: operation
+      LOGICAL(KIND=C_BOOL) :: operation_tmp
+
+      CALL xios(get_reduce_domain_to_axis_handle) &
+      (reduce_domain_to_axis_id,reduce_domain_to_axis_hdl)
+      CALL xios(is_defined_reduce_domain_to_axis_attr_hdl_)   &
+      ( reduce_domain_to_axis_hdl, direction, operation )
+
+  END SUBROUTINE xios(is_defined_reduce_domain_to_axis_attr)
+
+  SUBROUTINE xios(is_defined_reduce_domain_to_axis_attr_hdl)  &
+    ( reduce_domain_to_axis_hdl, direction, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_domain_to_axis)) , INTENT(IN) :: reduce_domain_to_axis_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: direction
+      LOGICAL(KIND=C_BOOL) :: direction_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: operation
+      LOGICAL(KIND=C_BOOL) :: operation_tmp
+
+      CALL xios(is_defined_reduce_domain_to_axis_attr_hdl_)  &
+      ( reduce_domain_to_axis_hdl, direction, operation )
+
+  END SUBROUTINE xios(is_defined_reduce_domain_to_axis_attr_hdl)
+
+  SUBROUTINE xios(is_defined_reduce_domain_to_axis_attr_hdl_)   &
+    ( reduce_domain_to_axis_hdl, direction_, operation_ )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_domain_to_axis)) , INTENT(IN) :: reduce_domain_to_axis_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: direction_
+      LOGICAL(KIND=C_BOOL) :: direction__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: operation_
+      LOGICAL(KIND=C_BOOL) :: operation__tmp
+
+      IF (PRESENT(direction_)) THEN
+        direction__tmp = cxios_is_defined_reduce_domain_to_axis_direction &
+      (reduce_domain_to_axis_hdl%daddr)
+        direction_ = direction__tmp
+      ENDIF
+
+      IF (PRESENT(operation_)) THEN
+        operation__tmp = cxios_is_defined_reduce_domain_to_axis_operation &
+      (reduce_domain_to_axis_hdl%daddr)
+        operation_ = operation__tmp
+      ENDIF
+
+  END SUBROUTINE xios(is_defined_reduce_domain_to_axis_attr_hdl_)
+
+END MODULE ireduce_domain_to_axis_attr
Index: /XIOS/trunk/src/interface/fortran_attr/ireduce_domain_to_scalar_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/ireduce_domain_to_scalar_attr.F90	(revision 981)
+++ /XIOS/trunk/src/interface/fortran_attr/ireduce_domain_to_scalar_attr.F90	(revision 981)
@@ -0,0 +1,140 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "xios_fortran_prefix.hpp"
+
+MODULE ireduce_domain_to_scalar_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+  USE ireduce_domain_to_scalar
+  USE reduce_domain_to_scalar_interface_attr
+
+CONTAINS
+
+  SUBROUTINE xios(set_reduce_domain_to_scalar_attr)  &
+    ( reduce_domain_to_scalar_id, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_domain_to_scalar))  :: reduce_domain_to_scalar_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::reduce_domain_to_scalar_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation
+
+      CALL xios(get_reduce_domain_to_scalar_handle) &
+      (reduce_domain_to_scalar_id,reduce_domain_to_scalar_hdl)
+      CALL xios(set_reduce_domain_to_scalar_attr_hdl_)   &
+      ( reduce_domain_to_scalar_hdl, operation )
+
+  END SUBROUTINE xios(set_reduce_domain_to_scalar_attr)
+
+  SUBROUTINE xios(set_reduce_domain_to_scalar_attr_hdl)  &
+    ( reduce_domain_to_scalar_hdl, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_domain_to_scalar)) , INTENT(IN) :: reduce_domain_to_scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation
+
+      CALL xios(set_reduce_domain_to_scalar_attr_hdl_)  &
+      ( reduce_domain_to_scalar_hdl, operation )
+
+  END SUBROUTINE xios(set_reduce_domain_to_scalar_attr_hdl)
+
+  SUBROUTINE xios(set_reduce_domain_to_scalar_attr_hdl_)   &
+    ( reduce_domain_to_scalar_hdl, operation_ )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_domain_to_scalar)) , INTENT(IN) :: reduce_domain_to_scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation_
+
+      IF (PRESENT(operation_)) THEN
+        CALL cxios_set_reduce_domain_to_scalar_operation &
+      (reduce_domain_to_scalar_hdl%daddr, operation_, len(operation_))
+      ENDIF
+
+  END SUBROUTINE xios(set_reduce_domain_to_scalar_attr_hdl_)
+
+  SUBROUTINE xios(get_reduce_domain_to_scalar_attr)  &
+    ( reduce_domain_to_scalar_id, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_domain_to_scalar))  :: reduce_domain_to_scalar_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::reduce_domain_to_scalar_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation
+
+      CALL xios(get_reduce_domain_to_scalar_handle) &
+      (reduce_domain_to_scalar_id,reduce_domain_to_scalar_hdl)
+      CALL xios(get_reduce_domain_to_scalar_attr_hdl_)   &
+      ( reduce_domain_to_scalar_hdl, operation )
+
+  END SUBROUTINE xios(get_reduce_domain_to_scalar_attr)
+
+  SUBROUTINE xios(get_reduce_domain_to_scalar_attr_hdl)  &
+    ( reduce_domain_to_scalar_hdl, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_domain_to_scalar)) , INTENT(IN) :: reduce_domain_to_scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation
+
+      CALL xios(get_reduce_domain_to_scalar_attr_hdl_)  &
+      ( reduce_domain_to_scalar_hdl, operation )
+
+  END SUBROUTINE xios(get_reduce_domain_to_scalar_attr_hdl)
+
+  SUBROUTINE xios(get_reduce_domain_to_scalar_attr_hdl_)   &
+    ( reduce_domain_to_scalar_hdl, operation_ )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_domain_to_scalar)) , INTENT(IN) :: reduce_domain_to_scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation_
+
+      IF (PRESENT(operation_)) THEN
+        CALL cxios_get_reduce_domain_to_scalar_operation &
+      (reduce_domain_to_scalar_hdl%daddr, operation_, len(operation_))
+      ENDIF
+
+  END SUBROUTINE xios(get_reduce_domain_to_scalar_attr_hdl_)
+
+  SUBROUTINE xios(is_defined_reduce_domain_to_scalar_attr)  &
+    ( reduce_domain_to_scalar_id, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_domain_to_scalar))  :: reduce_domain_to_scalar_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::reduce_domain_to_scalar_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: operation
+      LOGICAL(KIND=C_BOOL) :: operation_tmp
+
+      CALL xios(get_reduce_domain_to_scalar_handle) &
+      (reduce_domain_to_scalar_id,reduce_domain_to_scalar_hdl)
+      CALL xios(is_defined_reduce_domain_to_scalar_attr_hdl_)   &
+      ( reduce_domain_to_scalar_hdl, operation )
+
+  END SUBROUTINE xios(is_defined_reduce_domain_to_scalar_attr)
+
+  SUBROUTINE xios(is_defined_reduce_domain_to_scalar_attr_hdl)  &
+    ( reduce_domain_to_scalar_hdl, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_domain_to_scalar)) , INTENT(IN) :: reduce_domain_to_scalar_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: operation
+      LOGICAL(KIND=C_BOOL) :: operation_tmp
+
+      CALL xios(is_defined_reduce_domain_to_scalar_attr_hdl_)  &
+      ( reduce_domain_to_scalar_hdl, operation )
+
+  END SUBROUTINE xios(is_defined_reduce_domain_to_scalar_attr_hdl)
+
+  SUBROUTINE xios(is_defined_reduce_domain_to_scalar_attr_hdl_)   &
+    ( reduce_domain_to_scalar_hdl, operation_ )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_domain_to_scalar)) , INTENT(IN) :: reduce_domain_to_scalar_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: operation_
+      LOGICAL(KIND=C_BOOL) :: operation__tmp
+
+      IF (PRESENT(operation_)) THEN
+        operation__tmp = cxios_is_defined_reduce_domain_to_scalar_operation &
+      (reduce_domain_to_scalar_hdl%daddr)
+        operation_ = operation__tmp
+      ENDIF
+
+  END SUBROUTINE xios(is_defined_reduce_domain_to_scalar_attr_hdl_)
+
+END MODULE ireduce_domain_to_scalar_attr
